﻿using System.ComponentModel;
using SwitchLanguageDemo.Resources;
using System.Windows;

namespace SwitchLanguageDemo.ViewModels {
    public class ObservableResources : INotifyPropertyChanged {

        public string this[string resourceName] {
            get {
                return Language.ResourceManager.GetString(resourceName);
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        public void UpdateBindings() {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs("Item[]"));
        }

    }
}
